tut-1 fails after new install (6.0)

Added by Clinton 8 months ago

Yesterday I re-installed gmt at least somewhat succesfully since :

abraca@PetitBebe:~/Software/gmt-dev/tutorial$ gmt

GMT - The Generic Mapping Tools, Version 6.0.0_r19722M [64-bit] [4 cores]
(c) 1991-2018 Paul Wessel, Walter H. F. Smith, Remko Scharroo, Joaquim Luis, and Florian Wobbe

etc...

To check out the new installation I am running through the tutorial, however the script

#!/bin/bash
gmt basemap -R10/70/-3/8 -JX4i/3i -Ba -B+glightred+t"My first plot" -pdf GMT_tut_1

returns

abraca@PetitBebe:~/Software/gmt-dev/tutorial$ ./tut_1.sh
gmt [ERROR]: Shared GMT module not found: basemap

Is this due to the 6.0 rev, or my not doing the install properly?

Many thanks


Replies (4)

RE: tut-1 fails after new install (6.0) - Added by Paul 8 months ago

basemap is only a valid module under modern mode. It has always been called psbasemap in classic mode.
As far as I can tell, the repository shows that script to use gmt psbasemap.

RE: tut-1 fails after new install (6.0) - Added by Clinton 8 months ago

Thanks I confirmed that if the "basemap" in Tutorial 1 is changed to psbasemap, all works as it should

RE: tut-1 fails after new install (6.0) - Added by Paul 8 months ago

We'll fix this - remember GMT6 is beta and unreleased so can be a bit volatile, like the stock market.

RE: tut-1 fails after new install (6.0) - Added by Paul 8 months ago

I see, the tutorial documentation was slightly ahead of our implementation. I have fixed the glitch so that the modern mode one-liners all work.

(1-4/4)